force_inline Serializer* new_serializer (Arena_Reserve new_reserve) {
  return arena_array_new<u8>(1, new_reserve);
}

force_inline void reset_serializer (Serializer* serializer) {
  array_poison_range(*serializer, 0, serializer->count);
  reset_keeping_memory(*serializer);
}

force_inline void free_serializer (Serializer* serializer) {
  arena_array_free(*serializer);
}

// #redundant to_view () #note, just call to_view (ArenaArray<T>&)
